%% funkce pro hledání hran v luxmetru
function [vektor,cas]=luxmetr(lux)
%funkce luxmetr hledá maxima a minima v signále luxmetru a ukládá je do výstupní proměnné vektor, 
%kterou ze vzorků přepočítá do časové osy a uloží do výstupní proměnné cas

vektor= [];
temp=3;
hodnoty=[];

x = lux();
first = mode(x);         
temp_vektor = lux(find(lux~=first))    
second = mode(temp_vektor);        
a=first
b=second


for i=2:length(lux)     
if (i==2 && (lux(i)==a || lux(i) ==b))
vektor = [vektor i];
temp=lux(i);
elseif (lux(i)==b && lux(i-1) ~=b && temp==a) || (lux(i)==a && lux(i-1)~=a && temp==b) 
vektor = [vektor i];
temp=lux(i);
end

end
cas=vektor./1000;
clear temp
clear temp_vektor
end